### Method

# Gimp TextLayer set_markup

since: 3.0

#### Declaration [src]

    gboolean
    gimp_text_layer_set_markup (
      GimpTextLayer* layer,
      const gchar* markup
    )

#### Description [src]

Set the markup for a text layer from a string.

This procedure sets the markup of the styles for a text layer. The markup should be in the form of Pango’s markup - See https://docs.gtk.org/Pango/pango_markup.html for a reference. Note that GIMP’s text tool does not support all of Pango markup. Any unsupported markup will still be applied to your text layer, yet would be dropped as soon as you edit text with the tool.

Available since: 3.0

#### Parameters

`markup`

  Type: `const gchar*`

  The new markup to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.